%define	oname	Scorched3D

Summary:	3D artillery game similar to Scorched Earth
Name:		scorched3d
Version:	44
Release:	%mkrel 5
License:	GPLv2+ and CC-BY-SA
Group:		Games/Strategy
URL:		http://www.scorched3d.co.uk
Source0:	http://downloads.sourceforge.net/scorched3d/%{oname}-%{version}-src.tar.gz
# openal-soft does not provide openal-config, so fake it
Source1:	openal-config
Patch1:		scorched3d-help.patch
Patch2:		scorched3d-44-fdr-sys-lua.patch
Patch3:		scorched3d-44-fdr-syslibs.patch

BuildRequires:	imagemagick
BuildRequires:	libtool
BuildRequires:	lua5.1-devel
BuildRequires:	mesa-common-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	wxgtku2.8-devel

%description
Scorched is a game loosely-based on the classic DOS game Scorched
Earth, "The Mother Of All Games", with fully destructible 3D landscapes
and stunning visual effects.

"Scorched Earth is a simple, yet exciting artillery combat game,
based on an auspicious history of artillery games."
(Review of Scorched Earth at ClassicGaming.com)

In its simplest form Scorched is an artillery game.
Tanks take turns to earn money by destroying opponents in an arena.
Scorched attempts to recreate the simple yet addictive game play
of the original game, adding amongst other new features a 3D island
environment and LAN and internet play.

%prep
%setup -q -n scorched
%autopatch -p1
install -m 755 %{_sourcedir}/openal-config .

# ensure we use the system versions of these
rm -f src/common/common/snprintf.c
rm -f src/common/lua/l*.{cpp,h}
rm -f src/common/lua/print.cpp

%build
touch NEWS AUTHORS ChangeLog
autoreconf -vfi
export OPENAL_CONFIG=$PWD/openal-config
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}/%{name} \
	--with-wx-config=%{_bindir}/wx-config \
	--disable-openaltest \
	--enable-dependency-tracking

%make

%install
%make_install

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/documentation

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scorched3D
GenericName=Artillery game
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;
EOF

# Extract 48x48 icon
convert data/images/tank2.ico tank2.png
install -D -m 644 tank2-0.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc README documentation/*
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 44-5.mga6
+ Revision: 962761
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 daviddavid <daviddavid> 44-4.mga6
+ Revision: 898364
- fix build with newer freetype2 (remove no more needed freetype2.patch)

* Mon Aug 24 2015 sander85 <sander85> 44-3.mga6
+ Revision: 869156
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 44-2.mga6
+ Revision: 842033
- Rebuild for GLEW 1.12

* Fri Jan 16 2015 akien <akien> 44-1.mga5
+ Revision: 810908
- Move RPM group to Games/Strategy
- Improve description and desktop file
- Move desktop category to StrategyGame
- Version 44
- Build against system lua

* Wed Oct 15 2014 umeabot <umeabot> 43.3d-8.mga5
+ Revision: 749931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 43.3d-7.mga5
+ Revision: 689075
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 43.3d-6.mga5
+ Revision: 670278
- rebuild for glew

* Tue Mar 04 2014 akien <akien> 43.3d-5.mga5
+ Revision: 599468
- Add a patch for the freetype2 includes and add the corresponding dependency

* Sat Oct 19 2013 umeabot <umeabot> 43.3d-4.mga4
+ Revision: 530461
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 43.3d-3.mga4
+ Revision: 457721
- Rebuild for new glew

* Tue Jun 04 2013 fwang <fwang> 43.3d-2.mga4
+ Revision: 436997
- rebuild for new libpng

* Mon Jan 21 2013 stormi <stormi> 43.3d-1.mga3
+ Revision: 390434
- clean spec
- imported package scorched3d

